Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 133203 - Search History should list only related files.
Search History should list only related files.
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P2 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
61fixes2-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 14:40 UTC by Peter Pis
Modified: 2008-07-10 15:04 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
main_work_80048_b9a50ba69ffe-show-history-context-only.patch (7.18 KB, text/plain)
2008-05-16 16:48 UTC, John Rice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Pis 2008-04-18 14:40:23 UTC
Product Version: NetBeans IDE 6.1 RC2 (Build 200804160006)
Java: 1.6.0_10-beta; Java HotSpot(TM) Client VM 11.0-b11
System: Windows XP version 5.1 running on x86; Cp1252; en_GB (nb)
Userdir: D:\ide\61\user

If "Show History" action is run on file then the result of search should list only this file. Changed files in specific
changeset shouldn't be listed cos it makes the output not much usable. There could be option for this to show/hide files
in the changeset.
Comment 1 John Rice 2008-05-16 16:48:56 UTC
Created attachment 61489 [details]
main_work_80048_b9a50ba69ffe-show-history-context-only.patch
Comment 2 John Rice 2008-05-16 16:51:55 UTC
Search History will now only dispaly files in the listed changesets appropriate to the selected context, be it the top
level project, the Source folder, a package or one or more selected files. 

To see all listings in the changesets the top level project must be selected. This was the original behaviour.

changeset:   80259:2cb52ab5e8d5
tag:         tip
user:        jrice@netbeans.org
date:        Fri May 16 16:46:55 2008 +0100
summary:     #133203: Search History will only list files from the selected context in the displayed changesets

Comment 3 Quality Engineering 2008-05-20 05:20:33 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #206 build
Changeset: http://hg.netbeans.org/main/rev/2cb52ab5e8d5
User: jrice@netbeans.org
Log: #133203: Search History will only list files from the selected context in the displayed changesets
Comment 4 rbalada 2008-06-03 16:26:05 UTC
Backported into release61_fixes repository as http://hg.netbeans.org/release61_fixes/rev/293d2307eb76
Comment 5 Peter Pis 2008-06-04 13:32:23 UTC
Verified.
Comment 6 Peter Pis 2008-06-19 10:34:02 UTC
Verified with patch2.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo